package com.realnet.taxi_rental.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.taxi_rental.Entity.Guestuser;
import com.realnet.taxi_rental.Services.GuestuserService ;














@RequestMapping(value = "/Guestuser")
 @CrossOrigin("*") 
@RestController
public class GuestuserController {
	@Autowired
	private GuestuserService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Guestuser")
		  public Guestuser Savedata(@RequestBody Guestuser data) {
		Guestuser save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Guestuser/{id}")
	public  Guestuser update(@RequestBody Guestuser data,@PathVariable Integer id ) {
		Guestuser update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Guestuser/getall/page")
	public Page<Guestuser> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Guestuser> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Guestuser")
	public List<Guestuser> getdetails() {
		 List<Guestuser> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Guestuser")
	public List<Guestuser> getallwioutsec() {
		 List<Guestuser> get = Service.getdetails();		
		return get;
}
@GetMapping("/Guestuser/{id}")
	public  Guestuser  getdetailsbyId(@PathVariable Integer id ) {
		Guestuser  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Guestuser/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















}